> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Network



## OpenAPI

````yaml api-reference/gpus-v2-spec/create-vpc.json POST /gpus/v2/networks
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/networks:
    post:
      summary: Create Network
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 'Allowed value: application/json.'
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - region_id
                - name
              properties:
                region_id:
                  type: string
                  description: 'Region ID. String, length: 1-255 characters.'
                  example: cluster-abc123
                name:
                  type: string
                  description: 'Network name. String, length: 1-30 characters.'
                  example: dev-vpc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: ID of the created Network
                    example: network-abc123

````